
/*
Copyright 2007-2008 Kim A. Brandt <kimabrandt@gmx.de>

This file is part of prefswitch.

Prefswitch is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Prefswitch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with prefswitch; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

var prefswitch = {
	PROGRAM_NAME: "Prefswitch",

	BOOLEAN: "boolean",
	INTEGER: "integer",
	STRING: "string",
	RESET: "reset",
	LIST: "list",
	LISTITEMS: "listitems",

	UNKNOWN: 0,
	CSS: 1,
	JS: 2,

	UPDATE_ALL: "updateAll",
	UPDATE_ONE: "updateOne",
	UPDATE_PROFILES: "updateProfiles",
	LOAD_PROFILE: "loadProfile",

	ROOT: "extensions.prefswitch.",
	FIRSTRUN: "extensions.prefswitch.firstrun",
	VERSION: "extensions.prefswitch.version",
	USER: "extensions.prefswitch.userDefined",
	PROFILE: "extensions.prefswitch.profile",
	PROFILE_TRIGGER: "extensions.prefswitch.profileTrigger",
	VALUE: "value",
//	REFRESH: "extensions.prefswitch.refresh",

	SWITCH_PATH: "extensions/prefswitch@mozdev.org/switch.xml",
	PROFILE_PATH: "extensions/prefswitch@mozdev.org/profile.xml",
	INJECT_PATH: "extensions/prefswitch@mozdev.org/inject",

	CHARSET: "UTF-8",
	CHARACTERS: {
		"&#38;": /&/g,
		"&#34;": /\"/g,
		"&#60;": /</g,
		"&#62;": />/g
	},

/*	ERROR_PARSING_SWITCHES: "Error while parsing switch.xml.",
	ERROR_PARSING_PROFILES: "Error while parsing profile.xml.",
	ERROR_SAVING_SWITCHES: "Error while saving switch.xml.",
	ERROR_SAVING_PROFILES: "Error while saving profile.xml.",*/

	$: function(id)
	{
		return document.getElementById(id);
	}
};
